﻿@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq
@using Microsoft.AspNetCore.Http
@model NacGroup.Module.StaticPage.Models.Schema.StaticPage
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IThemeConfigService ThemeConfigService
@inject IHttpContextAccessor HttpContextAccessor
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = Model.Name;
    ViewData["MetaDescription"] = Model.MetaDescription;
    ViewData["MetaKeyword"] = Model.MetaKeyword;
    Layout = "_Layout";
    var coverimage = ThemeConfigService.GetByKey(ConstKey.CoverImageThemeKey)?.Data;
    var coversrc = coverimage != null ? JArray.FromObject(coverimage) : null;

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/static-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/static-page.js"></script>
}

<main id="" class="static-page">
    <h1 class="hidden">@(Model.MetaTitle)</h1>
    <!--#region section 1-->
    <section id="news-main" class="p-top-1 p-bot-2 container bg-white">
        <div class="section-body">
            <div class="flex-container">
                <div class="w___left">
                    <div class="blog-container">
                        <h2 class="title">
                            @Model.Name
                        </h2>
                        <div class="content p-2">
                            @{
                                if (Model.IsHtml)
                                {
                                    @Html.Raw(Model.PageContent)
                                }
                                else
                                {
                                    @Html.Raw(Model.PageContent)
                                }
                            }
                        </div>
                    </div>
                    <div class="comment ">
                        <div class="boxcomment">
                            <div class="fb-comments p-top-3" data-href="@(HttpContextAccessor.HttpContext.Request.Host)@(HttpContextAccessor.HttpContext.Request.Path)" data-width="100%" data-numposts="5"></div>
                        </div>
                    </div>
                </div>
                <div class="w___right">
                    @await Html.PartialAsync("_SideBar")
                </div>
            </div>
        </div>
    </section>
    <!--#endregion section 1-->

</main>